<?php

defined('BASEPATH') OR exit('No direct script access allowed');
require_once ('SuperCtrl.php');

class home extends SuperCtrl {

    public function __construct() {
        parent::__construct();
    }

    public function index() {
        $this->preparePageBy('view_content_home');
    }

    public function logout() {
        $this->destroySession();
        $this->pageLoadBy('view_login');
    }
    
    public function logs() {
    $dirPath = 'application/logs/';

    // Get all files in the directory
    $files = glob($dirPath . '*');

    // Initialize variables to store information about the most recent file
    $mostRecentFile = null;
    $mostRecentTimestamp = 0;

    // Loop through each file to find the most recent one
    foreach ($files as $file) {
        if (is_file($file)) {
            $timestamp = filemtime($file); // Get last modified timestamp
            if ($timestamp > $mostRecentTimestamp) {
                $mostRecentTimestamp = $timestamp;
                $mostRecentFile = $file;
            }
        }
    }

    // Check if a most recent file was found
    if ($mostRecentFile) {
        // Output the last modified time of the most recent file
        echo "<center><h2>Error Log</h2></center><br>";
        echo "<b>Last modified file</b>: $mostRecentFile<br>";
        echo "<b>Last modified time:</b> " . date('Y-m-d H:i:s', $mostRecentTimestamp) . "<br>";

        // Optionally, display the contents of the most recent file
        $fileContents = file_get_contents($mostRecentFile);
        echo '<pre>';
        echo htmlspecialchars($fileContents);
        echo '</pre>';
    } else {
        echo "No files found in directory: $dirPath";
    }
}

}
